Read Bloomerang mapping options
Returns tenant form/field choices, source custom fields, current approved mappings/directions, group/interaction settings, historical safeguards, provider designation targets and saved program/recipient links. Provider target retrieval uses live paged reads with snapshot fallback. Setting choices do not by themselves activate record sync. Requires the integration platform global/configured client feature gate (normally integration_platform_foundation). Requires permission: one of access_account_settings.
curl --request GET \
--url https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/mapping-options \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/mapping-options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/mapping-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/mapping-options",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/mapping-options"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/mapping-options")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/mapping-options")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"donor_forms": [
{
"id": 42,
"name": "Example",
"type": "donor",
"standardized_fields_enabled": true,
"standardized_fields_rollout_state": "Example",
"do_not_require_email": true
}
],
"selected_hysform_id": 42,
"hys_fields": [
{
"path": "Example",
"key": "Example",
"label": "Example",
"group": "Example",
"type": "Example",
"permissions": "Example",
"required": true,
"enabled": true
}
],
"bloomerang_fields": [
{
"path": "Example",
"label": "Example",
"type": "Example",
"group": "Example",
"category": "Example",
"read_only": true,
"custom_field_id": 42
}
],
"bloomerang_constituent_custom_fields": [
{
"path": "Example",
"label": "Example",
"type": "Example",
"group": "Example",
"category": "Example",
"read_only": true,
"custom_field_id": 42
}
],
"current_mapping": {
"id": 42,
"connection_id": 42,
"provider_key": "bloomerang",
"hys_object_type": "Example",
"provider_object_type": "Example",
"mapping_version": 2,
"status": "Example",
"source_of_truth_json": {},
"mapping_json": {},
"defaults_json": {},
"metadata_json": {},
"approved_at": "2023-11-07T05:31:56Z"
},
"donor_sync_direction": "provider",
"sync_direction_control": {
"mode": "locked_bidirectional",
"controls_enabled": true,
"default_direction": "bidirectional"
},
"allow_email_match": true,
"historical_backfill_mode": true,
"allow_bloomerang_constituent_creation": true,
"allow_same_email_constituent_retry_adoption": true,
"relationship_manager_sync_enabled": true,
"relationship_manager_field_path": "Example",
"household_current_mapping": {
"id": 42,
"connection_id": 42,
"provider_key": "bloomerang",
"hys_object_type": "Example",
"provider_object_type": "Example",
"mapping_version": 2,
"status": "Example",
"source_of_truth_json": {},
"mapping_json": {},
"defaults_json": {},
"metadata_json": {},
"approved_at": "2023-11-07T05:31:56Z"
},
"household_sync_direction": "provider",
"household_inbound_enabled": true,
"household_outbound_enabled": true,
"relationship_current_mapping": {
"id": 42,
"connection_id": 42,
"provider_key": "bloomerang",
"hys_object_type": "Example",
"provider_object_type": "Example",
"mapping_version": 2,
"status": "Example",
"source_of_truth_json": {},
"mapping_json": {},
"defaults_json": {},
"metadata_json": {},
"approved_at": "2023-11-07T05:31:56Z"
},
"relationship_sync_direction": "provider",
"relationship_inbound_enabled": true,
"relationship_outbound_enabled": true,
"group_current_mapping": {
"id": 42,
"connection_id": 42,
"provider_key": "bloomerang",
"hys_object_type": "Example",
"provider_object_type": "Example",
"mapping_version": 2,
"status": "Example",
"source_of_truth_json": {},
"mapping_json": {},
"defaults_json": {},
"metadata_json": {},
"approved_at": "2023-11-07T05:31:56Z"
},
"group_sync_enabled": true,
"group_inbound_enabled": true,
"donation_fallback_enabled": true,
"recipient_program_options": [
{
"id": 42,
"name": "Example",
"type": "contribution",
"hysform_id": 42
}
],
"selected_recipient_program_id": 42,
"bloomerang_recipient_fund_options": [
{
"id": "Example",
"value": "Example",
"label": "Example",
"name": "Example",
"is_active": true,
"is_default": true
}
],
"bloomerang_recipient_campaign_options": [
{
"id": "Example",
"value": "Example",
"label": "Example",
"name": "Example",
"is_active": true,
"is_default": true
}
],
"bloomerang_recipient_appeal_options": [
{
"id": "Example",
"value": "Example",
"label": "Example",
"name": "Example",
"is_active": true,
"is_default": true
}
],
"recipient_program_mappings": [
{
"id": 42,
"connection_id": 42,
"provider_key": "Example",
"mapping_role": "Example",
"hys_object_type": "Example",
"hys_object_id": 42,
"hys_object_name": "Example",
"hys_program_id": 42,
"hys_program_name": "Example",
"provider_object_type": "Example",
"provider_object_id": "Example",
"provider_object_name": "Example",
"provider_parent_object_id": "Example",
"provider_parent_object_name": "Example",
"status": "Example",
"metadata_json": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"bloomerang_donation_object": "Example",
"bloomerang_donation_object_label": "Example",
"donation_current_mapping": {
"id": 42,
"connection_id": 42,
"provider_key": "bloomerang",
"hys_object_type": "Example",
"provider_object_type": "Example",
"mapping_version": 2,
"status": "Example",
"source_of_truth_json": {},
"mapping_json": {},
"defaults_json": {},
"metadata_json": {},
"approved_at": "2023-11-07T05:31:56Z"
},
"donation_sync_direction": "provider",
"bloomerang_donation_source_fields": [
{
"provider_path": "Example",
"field_key": "Example",
"field_label": "Example",
"field_type": "Example",
"field_group": "Example",
"source_label": "Example"
}
],
"donation_mapped_fields": [
{
"provider_path": "Example",
"field_key": "Example",
"field_label": "Example",
"field_type": "Example",
"field_group": "Example",
"source_label": "Example"
}
],
"donation_outbound_enabled": true,
"donation_inbound_enabled": true,
"donation_soft_credits_enabled": true,
"donation_acknowledgements_enabled": true,
"donation_fallback_program_id": 42,
"donation_fallback_designation_id": 42,
"donation_fallback_designation_option": {
"value": "entity-42",
"label": "Example",
"id": 42,
"name": "Example",
"program_id": 42,
"option_type": "entity"
},
"interaction_sync_enabled": true,
"interaction_inbound_enabled": true,
"interaction_objects": [
"Task"
],
"interaction_object_options": [
{
"value": "Example",
"label": "Example",
"description": "Example",
"available": true
}
],
"metadata_snapshot_id": 42
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Connection id in the current organization.
Query Parameters
Hysform id. Validation: nullable, integer.
Recipient program id. Validation: nullable, integer.
Response
Operation result.
"success"
Current tenant donor/recipient setup. Donor form falls back to saved/first option; recipient program falls back to saved/sole option. Provider target lists prefer live reads with snapshot fallback, include inactive labels, and programs are restricted to contribution/number/campaign types.
Show child attributes
Show child attributes
curl --request GET \
--url https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/mapping-options \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/mapping-options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/mapping-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/mapping-options",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/mapping-options"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/mapping-options")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/bloomerang/mapping-options")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"donor_forms": [
{
"id": 42,
"name": "Example",
"type": "donor",
"standardized_fields_enabled": true,
"standardized_fields_rollout_state": "Example",
"do_not_require_email": true
}
],
"selected_hysform_id": 42,
"hys_fields": [
{
"path": "Example",
"key": "Example",
"label": "Example",
"group": "Example",
"type": "Example",
"permissions": "Example",
"required": true,
"enabled": true
}
],
"bloomerang_fields": [
{
"path": "Example",
"label": "Example",
"type": "Example",
"group": "Example",
"category": "Example",
"read_only": true,
"custom_field_id": 42
}
],
"bloomerang_constituent_custom_fields": [
{
"path": "Example",
"label": "Example",
"type": "Example",
"group": "Example",
"category": "Example",
"read_only": true,
"custom_field_id": 42
}
],
"current_mapping": {
"id": 42,
"connection_id": 42,
"provider_key": "bloomerang",
"hys_object_type": "Example",
"provider_object_type": "Example",
"mapping_version": 2,
"status": "Example",
"source_of_truth_json": {},
"mapping_json": {},
"defaults_json": {},
"metadata_json": {},
"approved_at": "2023-11-07T05:31:56Z"
},
"donor_sync_direction": "provider",
"sync_direction_control": {
"mode": "locked_bidirectional",
"controls_enabled": true,
"default_direction": "bidirectional"
},
"allow_email_match": true,
"historical_backfill_mode": true,
"allow_bloomerang_constituent_creation": true,
"allow_same_email_constituent_retry_adoption": true,
"relationship_manager_sync_enabled": true,
"relationship_manager_field_path": "Example",
"household_current_mapping": {
"id": 42,
"connection_id": 42,
"provider_key": "bloomerang",
"hys_object_type": "Example",
"provider_object_type": "Example",
"mapping_version": 2,
"status": "Example",
"source_of_truth_json": {},
"mapping_json": {},
"defaults_json": {},
"metadata_json": {},
"approved_at": "2023-11-07T05:31:56Z"
},
"household_sync_direction": "provider",
"household_inbound_enabled": true,
"household_outbound_enabled": true,
"relationship_current_mapping": {
"id": 42,
"connection_id": 42,
"provider_key": "bloomerang",
"hys_object_type": "Example",
"provider_object_type": "Example",
"mapping_version": 2,
"status": "Example",
"source_of_truth_json": {},
"mapping_json": {},
"defaults_json": {},
"metadata_json": {},
"approved_at": "2023-11-07T05:31:56Z"
},
"relationship_sync_direction": "provider",
"relationship_inbound_enabled": true,
"relationship_outbound_enabled": true,
"group_current_mapping": {
"id": 42,
"connection_id": 42,
"provider_key": "bloomerang",
"hys_object_type": "Example",
"provider_object_type": "Example",
"mapping_version": 2,
"status": "Example",
"source_of_truth_json": {},
"mapping_json": {},
"defaults_json": {},
"metadata_json": {},
"approved_at": "2023-11-07T05:31:56Z"
},
"group_sync_enabled": true,
"group_inbound_enabled": true,
"donation_fallback_enabled": true,
"recipient_program_options": [
{
"id": 42,
"name": "Example",
"type": "contribution",
"hysform_id": 42
}
],
"selected_recipient_program_id": 42,
"bloomerang_recipient_fund_options": [
{
"id": "Example",
"value": "Example",
"label": "Example",
"name": "Example",
"is_active": true,
"is_default": true
}
],
"bloomerang_recipient_campaign_options": [
{
"id": "Example",
"value": "Example",
"label": "Example",
"name": "Example",
"is_active": true,
"is_default": true
}
],
"bloomerang_recipient_appeal_options": [
{
"id": "Example",
"value": "Example",
"label": "Example",
"name": "Example",
"is_active": true,
"is_default": true
}
],
"recipient_program_mappings": [
{
"id": 42,
"connection_id": 42,
"provider_key": "Example",
"mapping_role": "Example",
"hys_object_type": "Example",
"hys_object_id": 42,
"hys_object_name": "Example",
"hys_program_id": 42,
"hys_program_name": "Example",
"provider_object_type": "Example",
"provider_object_id": "Example",
"provider_object_name": "Example",
"provider_parent_object_id": "Example",
"provider_parent_object_name": "Example",
"status": "Example",
"metadata_json": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"bloomerang_donation_object": "Example",
"bloomerang_donation_object_label": "Example",
"donation_current_mapping": {
"id": 42,
"connection_id": 42,
"provider_key": "bloomerang",
"hys_object_type": "Example",
"provider_object_type": "Example",
"mapping_version": 2,
"status": "Example",
"source_of_truth_json": {},
"mapping_json": {},
"defaults_json": {},
"metadata_json": {},
"approved_at": "2023-11-07T05:31:56Z"
},
"donation_sync_direction": "provider",
"bloomerang_donation_source_fields": [
{
"provider_path": "Example",
"field_key": "Example",
"field_label": "Example",
"field_type": "Example",
"field_group": "Example",
"source_label": "Example"
}
],
"donation_mapped_fields": [
{
"provider_path": "Example",
"field_key": "Example",
"field_label": "Example",
"field_type": "Example",
"field_group": "Example",
"source_label": "Example"
}
],
"donation_outbound_enabled": true,
"donation_inbound_enabled": true,
"donation_soft_credits_enabled": true,
"donation_acknowledgements_enabled": true,
"donation_fallback_program_id": 42,
"donation_fallback_designation_id": 42,
"donation_fallback_designation_option": {
"value": "entity-42",
"label": "Example",
"id": 42,
"name": "Example",
"program_id": 42,
"option_type": "entity"
},
"interaction_sync_enabled": true,
"interaction_inbound_enabled": true,
"interaction_objects": [
"Task"
],
"interaction_object_options": [
{
"value": "Example",
"label": "Example",
"description": "Example",
"available": true
}
],
"metadata_snapshot_id": 42
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}